Commit ff566396 authored by colemanw's avatar colemanw

Promise Polyfill for older browsers

parent 3d2f7bc4
......@@ -31,7 +31,8 @@
"angular-bootstrap": "^2.5.0",
"angular-sanitize": "~1.5.0",
"smartmenus": "~1.1",
"phantomjs-polyfill": "^0.0.2"
"phantomjs-polyfill": "^0.0.2",
"es6-promise": "^4.2.4"
},
"resolutions": {
"angular": "~1.5.11"
......
......@@ -128,5 +128,11 @@
params: {},
functions: []
};
// Load polyfill
if (!('Promise' in window)) {
CRM.loadScript(CRM.config.resourceBase + 'bower_components/es6-promise/es6-promise.auto.min.js');
}
})(jQuery);
{/literal}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment